﻿
// This file is used by Code Analysis to maintain SuppressMessage 
// attributes that are applied to this project.
// Project-level suppressions either have no target or are given 
// a specific target and scoped to a namespace, type, member, etc.

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.MyPair.Equals(HSPI.MyPair)~System.Boolean")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "type", Target = "~T:HSPI.PageBuilder")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1708:IdentifiersShouldDifferByMoreThanCase", Scope = "namespace", Target = "Hspi")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "HSPI", Scope = "namespace", Target = "HSPI")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1708:IdentifiersShouldDifferByMoreThanCase", Scope = "namespace", Target = "HSPI")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.TableBuilder.BuildHeaderLink(System.String)~System.String")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.PageBuilder.GetHTML(System.Boolean,System.Collections.Specialized.NameValueCollection)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.PageBuilder.FormTimeSpanPicker(System.String,System.String,System.Boolean,System.Boolean,System.TimeSpan,System.Boolean)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.PageBuilder.RadioButtonEnum(System.Enum,System.String)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.StopwatchEx.#ctor(System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.StopwatchEx.Stop~System.Int64")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.TableBuilder.AddHeader(System.Object,System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.TableBuilder.AddRow(System.String,System.String,System.String,System.String)~HSPI.TableBuilder.TableRow")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI.TableBuilder.Build(System.Boolean,System.Boolean,System.String)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "HSPI", Scope = "namespace", Target = "HSPI_AKTemplate")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "namespace", Target = "HSPI_AKTemplate")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "HSPI", Scope = "namespace", Target = "HSPI_AKTemplate.Exceptions")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "namespace", Target = "HSPI_AKTemplate.Exceptions")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.ControllerBase.UpdateDeviceList")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "devices", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#devices")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.ControllerBase.GetHSDeviceByRef(System.Int32)~Scheduler.Classes.DeviceClass")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#.ctor(HSPI_AKTemplate.HspiBase2)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "plugin", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#plugin")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.#ctor(HSPI_AKTemplate.ControllerBase,System.Int32)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0002:Simplify Member Access", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.AddVSPair(System.Double,System.String,HomeSeerAPI.ePairControlUse,System.String,HomeSeerAPI.ePairStatusControl)~HomeSeerAPI.VSVGPairs.VSPair")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0002:Simplify Member Access", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.Create(System.String,System.Boolean,System.String,HomeSeerAPI.DeviceTypeInfo_m.DeviceTypeInfo.eDeviceAPI,System.Int32,System.Int32,System.String,System.String)~System.Boolean")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.DeleteDevice~System.Boolean")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.GetAllPEDs(System.String)~System.Collections.Generic.Dictionary{System.String,System.Object}")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.GetPED``1(System.String,``0)~``0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.GetPED``1(System.String,System.Boolean@,``0)~``0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.GetPED``1(System.String,System.Boolean@,``0)~``0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.GetPEDnull``1(System.String)~``0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.GetURL(System.Boolean)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.Log(System.String,System.Boolean,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.LogDeb(System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.SetInterface(System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.update_info(System.Boolean,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.UpdatePED")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.DeviceBase.vspsListStr(HomeSeerAPI.ePairStatusControl)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~P:HSPI_AKTemplate.DeviceBase.LastChange")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~P:HSPI_AKTemplate.DeviceBase.ped")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0002:Simplify Member Access", Justification = "<Pending>", Scope = "member", Target = "~P:HSPI_AKTemplate.DeviceBase.power_fail_recovery")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~P:HSPI_AKTemplate.DeviceBase.Value")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "Init", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#Update(System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#GetHSDeviceByRef(System.Int32)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1021:AvoidOutParameters", MessageId = "1#", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#GetHSDeviceByAddress(System.String,System.Boolean&,System.Boolean,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#GetDevice(System.Int32,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#DeviceUsed(System.Int32)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#NewDevice(System.Int32)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#ValueChanged(System.Int32,System.Double,System.Nullable`1<System.Double>,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "1", Scope = "member", Target = "HSPI_AKTemplate.ControllerBase.#ValueChanged(HomeSeerAPI.CAPI+CAPIControl,System.Object[])")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1062:Validate arguments of public methods", MessageId = "0", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#.ctor(HSPI_AKTemplate.ControllerBase,System.Int32)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "info", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#update_info(System.Boolean,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "update", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#update_info(System.Boolean,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#update_info(System.Boolean,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "device", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#deviceHS")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#.ctor(HSPI_AKTemplate.ControllerBase,System.Int32)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "API", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#Create(System.String,System.Boolean,System.String,HomeSeerAPI.DeviceTypeInfo_m+DeviceTypeInfo+eDeviceAPI,System.Int32,System.Int32,System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "Device", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#Create(System.String,System.Boolean,System.String,HomeSeerAPI.DeviceTypeInfo_m+DeviceTypeInfo+eDeviceAPI,System.Int32,System.Int32,System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "name", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#Create(System.String,System.Boolean,System.String,HomeSeerAPI.DeviceTypeInfo_m+DeviceTypeInfo+eDeviceAPI,System.Int32,System.Int32,System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#Create(System.String,System.Boolean,System.String,HomeSeerAPI.DeviceTypeInfo_m+DeviceTypeInfo+eDeviceAPI,System.Int32,System.Int32,System.String,System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "fail", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#power_fail_recovery")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "power", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#power_fail_recovery")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "recovery", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#power_fail_recovery")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "full", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#_hs_full_update")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "hs", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#_hs_full_update")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "update", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#_hs_full_update")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "hs", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#hs")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "CAPI", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase+ControlType.#CAPI")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "enable", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#log_enable")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "log", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#log_enable")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#log_enable")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#power_fail_recovery")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#_hs_full_update")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ped", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#ped")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "PED", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#UpdatePED()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "name", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#ped_name_prefix")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ped", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#ped_name_prefix")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "prefix", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#ped_name_prefix")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#ped_name_prefix")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "PED", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#SavePED`1(System.String,!!0)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "Value", Scope = "member", Target = "HSPI_AKTemplate.DeviceBase.#SavePED`1(System.String,!!0)")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0010:Add missing cases", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.Utils.Log(System.String,HSPI_AKTemplate.Utils.LogType)")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.Utils.Devices~System.Collections.Generic.Dictionary{System.Int32,Scheduler.Classes.DeviceClass}")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.Utils.Events~System.Collections.Generic.List{HomeSeerAPI.strEventData}")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.Utils.Events1~System.Collections.Generic.List{HomeSeerAPI.strEventData}")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.Utils.GetPED``1(System.String,HomeSeerAPI.PlugExtraData.clsPlugExtraData,``0)~``0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "namespace", Target = "~N:HSPI_AKTemplate")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.AddData(System.Int32,`0)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.BuildUI(System.String,HomeSeerAPI.IPlugInAPI.strTrigActInfo)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.Find(HomeSeerAPI.IPlugInAPI.strTrigActInfo)~`0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.Find(System.Int32,System.Int32)~`0")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.FormatUI(HomeSeerAPI.IPlugInAPI.strTrigActInfo)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.get_Name(System.Int32)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.BaseActTrigDict`1.get_Name(System.Int32,System.Int32)~System.String")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.MyPair.Equals(HSPI_AKTemplate.MyPair)~System.Boolean")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.StatusPairsDict.FindVSPair(HSPI_AKTemplate.MyPair)~HomeSeerAPI.VSVGPairs.VSPair")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.StatusPairsDict.MakeVSpsListStatus(HSPI_AKTemplate.SplitRangeType)~HSPI_AKTemplate.MyPairList")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.StatusPairsDict.vspsList(HomeSeerAPI.ePairStatusControl,HSPI_AKTemplate.SplitRangeType)~HSPI_AKTemplate.MyPairList")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.TriggerData.#ctor(System.Int32,System.String,System.Boolean,HSPI_AKTemplate.ControllerBase,System.Boolean)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.TriggerDict.Find(System.Int32,System.Int32)~HSPI_AKTemplate.TriggerData")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0001:Simplify Names", Justification = "<Pending>", Scope = "namespace", Target = "~N:HSPI_AKTemplate")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1001:TypesThatOwnDisposableFieldsShouldBeDisposable", Scope = "type", Target = "HSPI_AKTemplate.HspiBase")]

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Style", "IDE0003:Remove qualification", Justification = "<Pending>", Scope = "member", Target = "~M:HSPI_AKTemplate.HspiBase2.GetHasTriggers~System.Boolean")]
